# Class: Util

## Util

Utilities for uncompressing and base64 decoding Class for gunzipping, unzipping and base64 decoding of files. It is used for reading GEONExT, Geogebra and Intergeo files. Only Huffman codes are decoded in gunzip. The code is based on the source code for gunzip.c by Pasi Ojala http://www.cs.tut.fi/~albert/Dev/gunzip/gunzip.c http://www.cs.tut.fi/~albert

#### new Util()

  Source:
    - compression/jxg.js, line 43

### Members

#### <static> Base64

  Base64 encoding / decoding http://www.webtoolkit.info/
  Source:
    - compression/jxg.js, line 936

### Methods

#### <private, static> asciiCharCodeAt()

  Source:
    - compression/jxg.js, line 1105

#### <static> genUUID()

  Generate a random uuid. http://www.broofa.com mailto:robert@broofa.com Copyright (c) 2010 Robert Kieffer Dual licensed under the MIT and GPL licenses. EXAMPLES: >>> Math.uuid() "92329D39-6F5C-4520-ABFC-AAB64544E172"
  Source:
    - compression/jxg.js, line 1243

#### <static> Unzip()

  Unzip zip files
  Source:
    - compression/jxg.js, line 48

#### <static> utf8Decode(string) → {String}

  Decoding string into utf-8

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `string` | String | to decode

  Source:
    - compression/jxg.js, line 1202

  ##### Returns:

  utf8 decoded string
  Type
    String